pydo.genai.update_knowledge_base_data_source()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.genai.update_knowledge_base_data_source(
    knowledge_base_uuid="123e4567-e89b-12d3-a456-426614174000",
    data_source_uuid="123e4567-e89b-12d3-a456-426614174000",
    body={
        "chunking_algorithm": "CHUNKING_ALGORITHM_UNKNOWN",
        "chunking_options": {...},
        "data_source_uuid": "\"98765432-1234-1234-1234-123456789012\"",
        ...,
    },
)
Returns JSONRaises HttpResponseError

Description

To update a data source (e.g. chunking options), send a PUT request to /v2/gen-ai/knowledge_bases/{knowledge_base_uuid}/data_sources/{data_source_uuid}.

Parameters

knowledge_base_uuid string required

Knowledge Base ID (Path Parameter)

data_source_uuid string required

Data Source ID (Path Parameter)

chunking_algorithm string optional

One of: CHUNKING_ALGORITHM_UNKNOWN, CHUNKING_ALGORITHM_SECTION_BASED, CHUNKING_ALGORITHM_HIERARCHICAL, CHUNKING_ALGORITHM_SEMANTIC, CHUNKING_ALGORITHM_FIXED_LENGTH

Default: CHUNKING_ALGORITHM_UNKNOWN

chunking_options object optional
Show child properties
child_chunk_size integer optional

Example: 350

max_chunk_size integer optional

Example: 750

Common options

parent_chunk_size integer optional

Example: 1000

Hierarchical options

semantic_threshold number optional

Example: 0.5

Semantic options

data_source_uuid string optional

Example: "98765432-1234-1234-1234-123456789012"

Data Source ID (Path Parameter)

knowledge_base_uuid string optional

Example: "12345678-1234-1234-1234-123456789012"

Knowledge Base ID (Path Parameter)

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "chunking_algorithm": "CHUNKING_ALGORITHM_UNKNOWN",
  "chunking_options": {
    "child_chunk_size": 350,
    "max_chunk_size": 750,
    "parent_chunk_size": 1000,
    "semantic_threshold": 0.5
  },
  "data_source_uuid": "\"98765432-1234-1234-1234-123456789012\"",
  "knowledge_base_uuid": "\"12345678-1234-1234-1234-123456789012\""
}

resp = client.genai.update_knowledge_base_data_source(knowledge_base_uuid="123e4567-e89b-12d3-a456-426614174000", data_source_uuid="123e4567-e89b-12d3-a456-426614174000", body=req)

Response Example

Show Response Example
{
  "knowledge_base_data_source": {
    "aws_data_source": {
      "bucket_name": "example name",
      "item_path": "example string",
      "region": "example string"
    },
    "bucket_name": "example name",
    "chunking_algorithm": "CHUNKING_ALGORITHM_UNKNOWN",
    "chunking_options": {
      "child_chunk_size": 350,
      "max_chunk_size": 750,
      "parent_chunk_size": 1000,
      "semantic_threshold": 0.5
    },
    "created_at": "2023-01-01T00:00:00Z",
    "dropbox_data_source": {
      "folder": "example string"
    },
    "file_upload_data_source": {
      "original_file_name": "example name",
      "size_in_bytes": "12345",
      "stored_object_key": "example string"
    },
    "google_drive_data_source": {
      "folder_id": "123e4567-e89b-12d3-a456-426614174000",
      "folder_name": "example name"
    },
    "item_path": "example string",
    "last_datasource_indexing_job": {
      "completed_at": "2023-01-01T00:00:00Z",
      "data_source_uuid": "123e4567-e89b-12d3-a456-426614174000",
      "error_details": "example string",
      "error_msg": "example string",
      "failed_item_count": "12345",
      "indexed_file_count": "12345",
      "indexed_item_count": "12345",
      "removed_item_count": "12345",
      "skipped_item_count": "12345",
      "started_at": "2023-01-01T00:00:00Z",
      "status": "DATA_SOURCE_STATUS_UNKNOWN",
      "total_bytes": "12345",
      "total_bytes_indexed": "12345",
      "total_file_count": "12345"
    },
    "region": "example string",
    "spaces_data_source": {
      "bucket_name": "example name",
      "item_path": "example string",
      "region": "example string"
    },
    "updated_at": "2023-01-01T00:00:00Z",
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "web_crawler_data_source": {
      "base_url": "example string",
      "crawling_option": "UNKNOWN",
      "embed_media": true,
      "exclude_tags": [
        "example string"
      ]
    }
  }
}

More Information

See /v2/gen-ai/knowledge_bases/{knowledge_base_uuid}/data_sources/{data_source_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.